# generated by cabal-rpm-0.13
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name warp
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        3.2.25
Release:        1%{?dist}
Summary:        A fast, light-weight web server for WAI applications

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkgver}/%{pkg_name}.cabal#/%{pkgver}.cabal
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-auto-update-devel
BuildRequires:  ghc-bsb-http-chunked-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-http-date-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-http2-devel
BuildRequires:  ghc-iproute-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-simple-sendfile-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-streaming-commons-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-vault-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-word8-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-silently-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
%endif
# End cabal-rpm deps

%description
HTTP/1.0, HTTP/1.1 and HTTP/2 are supported. For HTTP/2, Warp supports direct
and ALPN (in TLS) but not upgrade.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
cp -bp %{SOURCE1} %{pkg_name}.cabal
# End cabal-rpm setup
cabal-tweak-drop-dep bytestring-builder



%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md


%changelog
* Thu Feb 21 2019 Jens Petersen <petersen@redhat.com> - 3.2.25-1
- update to 3.2.25

* Sun Feb 17 2019 Jens Petersen <petersen@redhat.com> - 3.2.23-3
- refresh to cabal-rpm-0.13

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 26 2018 Jens Petersen <petersen@redhat.com> - 3.2.23-1
- update to 3.2.23

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 3.2.22-1
- update to 3.2.22

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Jens Petersen <petersen@redhat.com> - 3.2.13-2
- rebuild

* Tue Oct 17 2017 Jens Petersen <petersen@redhat.com> - 3.2.13-1
- update to 3.2.13
- the subpackages are now all in Fedora

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 3.2.11-1
- update to 3.2.11

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.13.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 10 2017 Jens Petersen <petersen@redhat.com> - 3.0.13.1-3
- build subpackage under main package dir

* Thu Oct  6 2016 Jens Petersen <petersen@redhat.com> - 3.0.13.1-2
- rebuild

* Wed Oct 05 2016 Jens Petersen <petersen@redhat.com> - 3.0.13.1-1
- update to 3.0.13.1
- subpackage new deps: auto-update, appar, iproute

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar  3 2015 Jens Petersen <petersen@fedoraproject.org> - 3.0.0.5-2
- cblrpm refresh

* Mon Sep 01 2014 Jens Petersen <petersen@redhat.com> - 3.0.0.5-1
- update to 3.0.0.5
- refresh to cblrpm-0.8.11

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 02 2014 Jens Petersen <petersen@redhat.com> - 1.3.8.4-1
- update to 1.3.8.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Jens Petersen <petersen@redhat.com> - 1.3.8.2-1
- update to 1.3.8.2

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 1.3.7.4-2
- update to new simplified Haskell Packaging Guidelines

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 1.3.7.4-1
- update to 1.3.7.4

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Jens Petersen <petersen@redhat.com> - 1.3.4.1-1
- update to 1.3.4.1

* Thu Jul 26 2012 Jens Petersen <petersen@redhat.com> - 1.2.2-1
- update to 1.2.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 1.2.1.1-2
- rebuild

* Sat Jun  2 2012 Jens Petersen <petersen@redhat.com> - 1.2.1.1-1
- update to 1.2.1.1
- license is now MIT
- depends on network-conduit

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.4.6.3-3
- add license to ghc_files

* Thu Mar  8 2012 Jens Petersen <petersen@redhat.com> - 0.4.6.3-2
- rebuild

* Mon Jan 16 2012 Jens Petersen <petersen@redhat.com> - 0.4.6.3-1
- update to 0.4.6.3 and cabal2spec-0.25.2

* Fri Dec 16 2011 Jens Petersen <petersen@redhat.com> - 0.4.6.2-1
- update to 0.4.6.2

* Thu Dec  1 2011 Jens Petersen <petersen@redhat.com> - 0.4.6.1-1
- BSD; add deps

* Thu Dec  1 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
